@ECHO OFF

:: check if python is installed
reg query "hkcu\software\Python" > nul 2>&1
IF ERRORLEVEL 1 (
	reg query "hklm\software\Python" > nul 2>&1
	IF ERRORLEVEL 1 GOTO NO_PYTHON
	echo Python installation found!
)

python 8960_blankflash.py
IF %ERRORLEVEL% NEQ 0 (
	ECHO Please verify whether python.exe is defined in your PATH variable
	)
EXIT /b 0

:NO_PYTHON
echo No python installation found
echo Please install python 2.6 or above.
echo you can also blank flash by manually executing qflash by following blank flashing instructions here.
echo https://sites.google.com/a/motorola.com/msm8960-bootloader/
EXIT /b 1